<div class="card my-3">
  <div class="card-body">
    <div class="card-title">{{book?.title}}</div>
    <div class="card-text">
      <div class="card-input">
        <span class="fw-bold">Author: </span>
        <span>{{book?.author}}</span>
      </div>
      <div class="card-input">
        <span class="fw-bold">Year: </span>
        <span>{{book?.year}}</span>
      </div>
      <div class="card-input">
        <span class="fw-bold">ISBN: </span>
        <span>{{book?.isbn}}</span>
      </div>
      <div class="card-input">
        <span class="fw-bold">Genre: </span>
        <span>{{book?.genre}}</span>
      </div>
      <div class="card-input">
        <span class="fw-bold">Availability: </span>
        <span>{{book?.available | availability}}</span>
      </div>
      <div class="card-input d-flex justify-content-end">
        <button type="button" class="btn-secondary btn btn-sm rounded" *ngIf="edit">Edit</button>
        <button type="button" class="btn-primary btn btn-sm rounded" (click)="onChangeAvailability()">{{book?.available ? 'Remove' : 'Add'}}</button>
      </div>

      <div>
        <button class="btn-outline-info btn m-1" (click)="showAuthor()" >Author</button>
        <button class="btn-outline-primary btn m-1" (click)="showOverview()">Overview</button>
        <app-book-author (newAuthorEvent)="changeAuthor($event)" [routerLink]="['author']" *ngIf="displayAuthor" ></app-book-author>
        <app-book-overview [routerLink]="['overview']" *ngIf="displayOverview"></app-book-overview>
      </div>
    </div>
  </div>
</div>
